/****************************************************************************
** $Id: application.h,v 1.1 2004/09/18 17:31:23 phil Exp $
**
** Copyright (C) 1992-2000 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for TQt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

#ifndef APPLICATION_H
#define APPLICATION_H

#include <tqmainwindow.h>

class TQextScintilla;
class TQextScintillaPrinter;

class ApplicationWindow: public TQMainWindow
{
    TQ_OBJECT
  

public:
    ApplicationWindow();
    ~ApplicationWindow();

protected:
    void closeEvent( TQCloseEvent* );

private slots:
    void newDoc();
    void choose();
    void load( const TQString &fileName );
    void save();
    void saveAs();
    void print();

    void about();
    void aboutTQt();

private:
    TQextScintillaPrinter *printer;
    TQextScintilla *e;
    TQString filename;
};


#endif
